Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Edit extends LC_Page_Admin_Order_Ex 
-{
+class LC_Page_Admin_Order_Edit extends LC_Page_Admin_Order_Ex {
 
     var $arrShippingKeys = array(
@@ -68,19 +67,4 @@
     );
 
-    var $arrProductKeys = array(
-        'product_id',
-        'product_class_id',
-        'product_type_id',
-        'point_rate',
-        'product_code',
-        'product_name',
-        'classcategory_name1',
-        'classcategory_name2',
-        'quantity',
-        'price',
-        'tax_rate',
-        'tax_rule'
-    );
-
     // }}}
     // {{{ functions
@@ -91,6 +75,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/edit.tpl';
@@ -110,10 +93,8 @@
 
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
 
         // 配送業者の取得
-        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList();
-
-        $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
+        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'name');
 
         $this->httpCacheControl('nocache');
@@ -125,6 +106,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -136,6 +116,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objPurchase = new SC_Helper_Purchase_Ex();
@@ -185,6 +164,4 @@
                 $objFormParam->setParam($_POST);
                 $objFormParam->convParam();
-                //複数配送時に各商品の総量を設定
-                $this->setProductsQuantity($objFormParam);
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 if (SC_Utils_Ex::isBlank($this->arrErr)) {
@@ -202,6 +179,4 @@
                     $objFormParam->setParam($_POST);
                     $objFormParam->convParam();
-                    //複数配送時に各商品の総量を設定
-                    $this->setProductsQuantity($objFormParam);
                     $this->arrErr = $this->lfCheckError($objFormParam);
                     if (SC_Utils_Ex::isBlank($this->arrErr)) {
@@ -227,6 +202,4 @@
                 $objFormParam->setParam($_POST);
                 $objFormParam->convParam();
-                //複数配送時に各商品の総量を設定
-                $this->setProductsQuantity($objFormParam);
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 break;
@@ -238,6 +211,4 @@
                 $delete_no = $objFormParam->getValue('delete_no');
                 $this->doDeleteProduct($delete_no, $objFormParam);
-                //複数配送時に各商品の総量を設定
-                $this->setProductsQuantity($objFormParam);
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 break;
@@ -248,6 +219,4 @@
                 $objFormParam->convParam();
                 $this->doRegisterProduct($objFormParam);
-                //複数配送時に各商品の総量を設定
-                $this->setProductsQuantity($objFormParam);
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 break;
@@ -257,24 +226,10 @@
                 $objFormParam->setParam($_POST);
                 $objFormParam->convParam();
-                $customer_birth = $this->setCustomerTo($objFormParam->getValue('edit_customer_id'),
+                $this->setCustomerTo($objFormParam->getValue('edit_customer_id'),
                                      $objFormParam);
-                // 加算ポイントの計算
-                if (USE_POINT === true && $this->tpl_mode == 'add'){
-                    $birth_point = 0;
-                    if ($customer_birth){
-                        $arrRet = preg_split('|[- :/]|', $customer_birth);
-                        $birth_date = intval($arrRet[1]);
-                        $now_date   = intval(date('m'));
-                        // 誕生日月であった場合
-                        if ($birth_date == $now_date) {
-                            $birth_point = BIRTH_MONTH_POINT;
-                        }
-                    }
-                    $objFormParam->setValue("birth_point",$birth_point);
-                }
                 $this->arrErr = $this->lfCheckError($objFormParam);
                 break;
 
-                // 複数配送設定表示
+            // 複数配送設定表示
             case 'multiple':
                 $objFormParam->setParam($_POST);
@@ -283,5 +238,5 @@
                 break;
 
-                // 複数配送設定を反映
+            // 複数配送設定を反映
             case 'multiple_set_to':
                 $this->lfInitMultipleParam($objFormParam);
@@ -291,5 +246,5 @@
                 break;
 
-                // お届け先の追加
+            // お届け先の追加
             case 'append_shipping':
                 $objFormParam->setParam($_POST);
